Debian Bug report logs - #681292
sbuild: Please add "binary-only=yes" keyword in the changelog for binNMUs

version graph

Package: sbuild; Maintainer for sbuild is Debian buildd-tools Developers <buildd-tools-devel@lists.alioth.debian.org>; Source for sbuild is src:sbuild.

Reported by: Raphaël Hertzog <hertzog@debian.org>

Date: Thu, 12 Jul 2012 07:00:06 UTC

Severity: wishlist

Tags: patch

Found in version sbuild/0.63.1-1

Fixed in version sbuild/0.64.0-1

Done: Roger Leigh <rleigh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian buildd-tools Developers <buildd-tools-devel@lists.alioth.debian.org>:
Bug#681292; Package sbuild. (Thu, 12 Jul 2012 07:00:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphaël Hertzog <hertzog@debian.org>:
New Bug report received and forwarded. Copy sent to Debian buildd-tools Developers <buildd-tools-devel@lists.alioth.debian.org>. (Thu, 12 Jul 2012 07:00:09 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Raphaël Hertzog <hertzog@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: sbuild: Please add "binary-only=yes" keyword in the changelog for binNMUs
Date: Thu, 12 Jul 2012 08:57:53 +0200
Package: sbuild
Version: 0.63.1-1
Severity: wishlist

dpkg-dev introduced a generic solution for binNMUs that doesn't hardcode
the requirement to use a "+bX" suffix. All you have to do is to add
a "binary-only=yes" keyword in the changelog header line like this:

ftplib (3.1-1-9+b1) unstable; urgency=low, binary-only=yes

When this keyword is present, dpkg-gencontrol will assume that the source
version is the one listed in the changelog entry below the one tagged
binary-only.

This gives us the freedom to do binary-only uploads with different
suffixes, for instance we could use "~bpo6.0+1" to build squeeze backports
while reusing the same source package that is in testing.

Please update sbuild to add this keyword. It should not break anything
for older versions of dpkg as long as you stick to the usual suffix.

Cheers,

-- System Information:
Debian Release: wheezy/sid
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'proposed-updates'), (500, 'unstable'), (500, 'testing'), (500, 'stable'), (150, 'experimental')
Architecture: i386 (x86_64)
Foreign Architectures: amd64

Kernel: Linux 3.4-trunk-amd64 (SMP w/2 CPU cores)
Locale: LANG=fr_FR.utf8, LC_CTYPE=fr_FR.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages sbuild depends on:
ii  adduser         3.113+nmu3
ii  apt-utils       0.9.7.1
ii  libsbuild-perl  0.63.1-1
ii  perl            5.14.2-12
ii  perl-modules    5.14.2-12

Versions of packages sbuild recommends:
ii  debootstrap  1.0.42
ii  fakeroot     1.18.4-2

Versions of packages sbuild suggests:
ii  deborphan  1.7.28.8
ii  wget       1.13.4-3

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian buildd-tools Developers <buildd-tools-devel@lists.alioth.debian.org>:
Bug#681292; Package sbuild. (Mon, 16 Jul 2012 10:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roger Leigh <rleigh@codelibre.net>:
Extra info received and forwarded to list. Copy sent to Debian buildd-tools Developers <buildd-tools-devel@lists.alioth.debian.org>. (Mon, 16 Jul 2012 10:51:03 GMT) Full text and rfc822 format available.

Message #10 received at 681292@bugs.debian.org (full text, mbox):

From: Roger Leigh <rleigh@codelibre.net>
To: Raphaël Hertzog <hertzog@debian.org>, 681292@bugs.debian.org
Subject: Re: [buildd-tools-devel] Bug#681292: sbuild: Please add "binary-only=yes" keyword in the changelog for binNMUs
Date: Mon, 16 Jul 2012 11:41:28 +0100
On Thu, Jul 12, 2012 at 08:57:53AM +0200, Raphaël Hertzog wrote:
> dpkg-dev introduced a generic solution for binNMUs that doesn't hardcode
> the requirement to use a "+bX" suffix. All you have to do is to add
> a "binary-only=yes" keyword in the changelog header line like this:
> 
> ftplib (3.1-1-9+b1) unstable; urgency=low, binary-only=yes

Adding this will be fine.  I just have a question regarding
backward compatibility:

Will older versions of dpkg work with the new binary-only=
keyword (i.e. ignore it)?  Or will we need to do a dpkg
version check and do this conditionally?


Thanks,
Roger

-- 
  .''`.  Roger Leigh
 : :' :  Debian GNU/Linux    http://people.debian.org/~rleigh/
 `. `'   schroot and sbuild  http://alioth.debian.org/projects/buildd-tools
   `-    GPG Public Key      F33D 281D 470A B443 6756 147C 07B3 C8BC 4083 E800



Information forwarded to debian-bugs-dist@lists.debian.org, Debian buildd-tools Developers <buildd-tools-devel@lists.alioth.debian.org>:
Bug#681292; Package sbuild. (Tue, 17 Jul 2012 09:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian buildd-tools Developers <buildd-tools-devel@lists.alioth.debian.org>. (Tue, 17 Jul 2012 09:06:05 GMT) Full text and rfc822 format available.

Message #15 received at 681292@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Roger Leigh <rleigh@codelibre.net>
Cc: 681292@bugs.debian.org
Subject: Re: [buildd-tools-devel] Bug#681292: sbuild: Please add "binary-only=yes" keyword in the changelog for binNMUs
Date: Tue, 17 Jul 2012 10:56:34 +0200
Hi,

On Mon, 16 Jul 2012, Roger Leigh wrote:
> Will older versions of dpkg work with the new binary-only=
> keyword (i.e. ignore it)?  Or will we need to do a dpkg
> version check and do this conditionally?

They do work but they spit out a somewhat annoying warning about an
unknown keyword. We might do a stable update to fix this if if it's
allowed by the SRM.

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Get the Debian Administrator's Handbook:
→ http://debian-handbook.info/get/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian buildd-tools Developers <buildd-tools-devel@lists.alioth.debian.org>:
Bug#681292; Package sbuild. (Tue, 17 Jul 2012 09:06:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roger Leigh <rleigh@codelibre.net>:
Extra info received and forwarded to list. Copy sent to Debian buildd-tools Developers <buildd-tools-devel@lists.alioth.debian.org>. (Tue, 17 Jul 2012 09:06:07 GMT) Full text and rfc822 format available.

Message #20 received at 681292@bugs.debian.org (full text, mbox):

From: Roger Leigh <rleigh@codelibre.net>
To: Raphael Hertzog <hertzog@debian.org>
Cc: 681292@bugs.debian.org
Subject: Re: [buildd-tools-devel] Bug#681292: sbuild: Please add "binary-only=yes" keyword in the changelog for binNMUs
Date: Tue, 17 Jul 2012 10:04:33 +0100
On Tue, Jul 17, 2012 at 10:56:34AM +0200, Raphael Hertzog wrote:
> Hi,
> 
> On Mon, 16 Jul 2012, Roger Leigh wrote:
> > Will older versions of dpkg work with the new binary-only=
> > keyword (i.e. ignore it)?  Or will we need to do a dpkg
> > version check and do this conditionally?
> 
> They do work but they spit out a somewhat annoying warning about an
> unknown keyword. We might do a stable update to fix this if if it's
> allowed by the SRM.

OK, so I'll go ahead and implement this in sbuild since it's not
actually going to trigger any failures.  If it's working in
wheezy, that should be fine (I don't imagine binNMUs in
squeeze/oldstable will be that common).


Thanks,
Roger

-- 
  .''`.  Roger Leigh
 : :' :  Debian GNU/Linux    http://people.debian.org/~rleigh/
 `. `'   schroot and sbuild  http://alioth.debian.org/projects/buildd-tools
   `-    GPG Public Key      F33D 281D 470A B443 6756 147C 07B3 C8BC 4083 E800



Information forwarded to debian-bugs-dist@lists.debian.org, Debian buildd-tools Developers <buildd-tools-devel@lists.alioth.debian.org>:
Bug#681292; Package sbuild. (Wed, 13 Feb 2013 06:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Geoffrey Thomas <geofft@MIT.EDU>:
Extra info received and forwarded to list. Copy sent to Debian buildd-tools Developers <buildd-tools-devel@lists.alioth.debian.org>. (Wed, 13 Feb 2013 06:54:05 GMT) Full text and rfc822 format available.

Message #25 received at 681292@bugs.debian.org (full text, mbox):

From: Geoffrey Thomas <geofft@MIT.EDU>
To: 672711@bugs.debian.org, 681292@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: sbuild: --append-to-version should set source:Version substvar
Date: Tue, 12 Feb 2013 22:51:00 -0800 (PST)
tags 672711 + patch
tags 681292 + patch
thanks

On Thu, 12 Jul 2012, Raphael Hertzog wrote:

> If you tag the changelog entry with "binary-only=yes" then
> dpkg-gencontrol will use the former changelog entry to find
> out the version to put in ${source:Version}.
>
> ftplib (3.1-1-9+b1) unstable; urgency=low, binary-only=yes
>
> You should update --append-to-version to use this mechanism too.

Hi sbuild maintainers,

I was checking on the Debian bugs I opened to see what their status was, 
and didn't see progress on this, so I wanted to check to see if we were 
waiting on anything from dpkg, or could fix this now in sbuild. The 
conversation in #681292 seemd to indicate that you were okay with this 
approach.

The debian-672711 branch of https://github.com/geofft/sbuild.git has the 
following patch and a changelog entry:

--- a/lib/Sbuild/Build.pm
+++ b/lib/Sbuild/Build.pm
@@ -1324,7 +1324,7 @@ sub build {
            }
            $dists = $self->get_conf('DISTRIBUTION');

-           print F "$name ($NMUversion) $dists; urgency=low\n\n";
+           print F "$name ($NMUversion) $dists; urgency=low, binary-only=yes\n\n";
            if ($self->get_conf('APPEND_TO_VERSION')) {
                print F "  * Append ", $self->get_conf('APPEND_TO_VERSION'),
                    " to version number; no source changes\n";


Can you merge it?

Thanks,
-- 
Geoffrey Thomas
geofft@mit.edu





Added tag(s) patch. Request was from Geoffrey Thomas <geofft@MIT.EDU> to control@bugs.debian.org. (Wed, 13 Feb 2013 06:54:09 GMT) Full text and rfc822 format available.

Reply sent to Roger Leigh <rleigh@debian.org>:
You have taken responsibility. (Fri, 17 May 2013 22:51:22 GMT) Full text and rfc822 format available.

Notification sent to Raphaël Hertzog <hertzog@debian.org>:
Bug acknowledged by developer. (Fri, 17 May 2013 22:51:22 GMT) Full text and rfc822 format available.

Message #32 received at 681292-close@bugs.debian.org (full text, mbox):

From: Roger Leigh <rleigh@debian.org>
To: 681292-close@bugs.debian.org
Subject: Bug#681292: fixed in sbuild 0.64.0-1
Date: Fri, 17 May 2013 22:48:16 +0000
Source: sbuild
Source-Version: 0.64.0-1

We believe that the bug you reported is fixed in the latest version of
sbuild, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 681292@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Roger Leigh <rleigh@debian.org> (supplier of updated sbuild package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Fri, 17 May 2013 23:06:13 +0100
Source: sbuild
Binary: libsbuild-perl sbuild buildd
Architecture: source all
Version: 0.64.0-1
Distribution: unstable
Urgency: low
Maintainer: Debian buildd-tools Developers <buildd-tools-devel@lists.alioth.debian.org>
Changed-By: Roger Leigh <rleigh@debian.org>
Description: 
 buildd     - Daemon for automatically building Debian binary packages from Deb
 libsbuild-perl - Tool for building Debian binary packages from Debian sources
 sbuild     - Tool for building Debian binary packages from Debian sources
Closes: 626361 636477 672711 681292 686509 693788 693790 695203 695273 695513 696840 696841 697298 699903
Changes: 
 sbuild (0.64.0-1) unstable; urgency=low
 .
   [ Thorsten Glaser ]
   * Apply patch from Arnaud Patard to fix the uploader (Closes: #636477).
   * Make sample configuration entries actually work (Closes: #696840).
   * Avoid using undef as HASH reference (Closes: #696841).
 .
   [ Philipp Kern ]
   * Forward port patches from the buildd-0.61.0 branch:
     - Buildd::Client: Don't change the cwd.
     - Buildd: Fix SSH control master restart.
 .
   [ Roger Leigh ]
   * New release.
   * Upgrade to Standards-Version 3.9.4 (no changes).
   * buildd:
     - Remove duplicate stop action from init script (Closes: #695513).
     - Failure count before sleeping is configurable with
       MAX_SBUILD_FAILS (Closes: #693790).
     - buildd.init specifies correct Required-Stop dependencies.
     - Remove empty preinst script.
   * sbuild:
     - Cross build-dependency installation failure throws an
       exception (Closes: #693788).
     - In Sbuild::ResolverBase, pass the correct options to deps_parse
       for cross-building and foo:native build dependencies
       (Closes: #697298).  Thanks to Colin Watson for this patch.
     - In Sbuild::Build::copy_to_chroot, remove stray exit() which could
       cause sbuild to hang with a "Failed to copy" error
       (Closes: #699903).  Thanks to Stephan Sürken for this patch.
     - Compute changes path correctly, to allow “--debbuildopt=-A” to
       work correctly with _all.changes (Closes: #686509).  Thanks to
       Daniel Dehennin for the original version of this patch.
     - Run lintian from inside the chroot (Closes: #626361).  Thanks to
       Reinhard Tartler for this patch.
 .
   [ Colin Watson ]
   * sbuild:
     - Resolve cross-build-dependencies from package being built rather than
       from current apt sources (Closes: #695203).
   * buildd:
     - Reset sbuild failure count after sleeping.
 .
   [ Adam Conrad ]
   * sbuild:
     - Improve cross chroot detection to look for $dist-$build-$host as a
       valid chroot for cross-build to avoid namespace clashes with native
       chroots, and document this better in the manpage (Closes: #695273)
 .
   [ Geoffrey Thomas ]
   * sbuild:
     - When creating a changelog entry for binNMUs or
       --append-to-version, tag it with "binary-only=yes" so that
       dpkg-gencontrol uses the previous changelog entry for the source
       version (Closes: #672711, #681292).
Checksums-Sha1: 
 8b2cdc820ba39034ca929e5003a787e254f5aa1a 2149 sbuild_0.64.0-1.dsc
 eb9212def8709afdd3858eb8da1b1da7fd839c68 600345 sbuild_0.64.0.orig.tar.gz
 15338c3d98bcec2075981aa3c6825e9ea31ba319 80780 sbuild_0.64.0-1.debian.tar.gz
 f1fce32aba936b58b20a900a234fe5aac4043ef5 295280 libsbuild-perl_0.64.0-1_all.deb
 03ca4073aeabf5062d34d1c9ae11b6b677cf362d 310678 sbuild_0.64.0-1_all.deb
 c9233b1dfa3877265e65df9c4f9ba7a52cbbf8ed 295148 buildd_0.64.0-1_all.deb
Checksums-Sha256: 
 c980171759a2d8597ca50df244427fa31fc9ae915eae722d1fea4e897ba3faf3 2149 sbuild_0.64.0-1.dsc
 73a42be8383c7f6caf4bc165c7a8e06c33963af7dca3146767a150fa39518306 600345 sbuild_0.64.0.orig.tar.gz
 638b7cb0d9981b10765b4ea81127c1768ab3fb0eb3bd4d2d414a6a7567e64034 80780 sbuild_0.64.0-1.debian.tar.gz
 5875f41ef455223af6e1e6bb8226c4324570b828e97cca8fbfc7c43cdcbfd8be 295280 libsbuild-perl_0.64.0-1_all.deb
 cbe2ce7742a64e78276161445cc33ada47189486cab049e2c69f682af9cc3ab4 310678 sbuild_0.64.0-1_all.deb
 89bb85155da52746694a9e5b193ebd9b485233320a818fba444c3254f14aa82a 295148 buildd_0.64.0-1_all.deb
Files: 
 d623dff31fdb7cd072a66a23b174a141 2149 devel extra sbuild_0.64.0-1.dsc
 9a635ef786541f13e73446b3699d123b 600345 devel extra sbuild_0.64.0.orig.tar.gz
 e06d6f42db64fed83ce295d9f754862b 80780 devel extra sbuild_0.64.0-1.debian.tar.gz
 cc36322957089f1f0920485de9a8e1a0 295280 perl extra libsbuild-perl_0.64.0-1_all.deb
 1af87b5e8ca828956ac8f1171df2a3f1 310678 devel extra sbuild_0.64.0-1_all.deb
 ea29cbc566eee26bdf386e49a26c9576 295148 devel extra buildd_0.64.0-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJRlrD5AAoJEOJSSsUKn1xZAAsQALD9IHwg04jqKym6z8thSZ2c
eDLPuPyM+ZfKpdw9WEjYMblYgjp8ExmNempLFsKdcIBRHuj4SO2lyup5p1plYufj
EJCtqcCB5IxQgDxjmMr05PsO+Ro19G4AxpYY1H0repdZJCq/pOfhtyUu4VCuHx3O
E+QgqeVvGDmqklT9NwUMTXRIQzjzCkFI4bZonX74G/uSx6uvJx2SM8U28DCq2a+V
T3MRll1Xl/FS6VLq/y63V3dsc2J5h/ixA30H0XZl2SxTqz3Cu5En/kSV3MjdROu3
CZfEl1kVc5FRkuInLApOgWPfVV9THecXVHvLM93pJcE/o3IRXLILPxu7LEFr46O6
1JdVLz3PDQAC+s0OnV3VZnvKTdPskJX3SothvCZtoRA2xvBsy8yyHnpTGisJSkA3
/6xo4lWNPy+c8ZaDGHuE99rjABCOy6r15kTx/TahRB690JGdMfjDJ2wu+VPrWGrh
51t+QesX1BV/8P6iX/KstOPuS5XJ/6JkHT9R1nOHNkWZ9yQDVmtwkVZQ2aTmoRlH
R7xoORy/U4s0djKD6Hihag9cg60pvpGKPLOi10+3gjb+4wqKC5vL7M4wc/9oyQFD
tyjZRYR1kBMu+TfbZhEyrfBx2+pcqymYtQJH3GXggm4edLVGZs+sjKRbk2G1YPY2
RwyJFra/EP1aJXQzdT9/
=lGga
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 25 Jun 2013 07:46:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 16:23:25 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.